Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_socket_types.h File Reference

`#include "osclconfig_io.h"`
`#include "oscl_types.h"`
`#include "oscl_scheduler_types.h"`
`#include "oscl_namestring.h"`
`#include "oscl_stdstring.h"`

Go to the source code of this file.

## Data Structures
class | OsclIpMReq
class | OsclNetworkAddress
class | OsclSocketObserver
class | OsclSocketTOS
## Defines
#define | PVNETWORKADDRESS_LEN 50
## Enumerations
enum | TPVSocketFxn { EPVSocketSend = 0, EPVSocketSendTo, EPVSocketRecv, EPVSocketRecvFrom, EPVSocketConnect, EPVSocketAccept, EPVSocketShutdown, EPVSocketBind, EPVSocketListen, EPVSocket_Last }
enum | TPVSocketEvent { EPVSocketSuccess, EPVSocketPending, EPVSocketTimeout, EPVSocketFailure, EPVSocketCancel, EPVSocketNotImplemented }
enum | TPVSocketShutdown { EPVSocketSendShutdown, EPVSocketRecvShutdown, EPVSocketBothShutdown }
enum | TPVSocketOptionName { EPVIPMulticastTTL, EPVIPAddMembership, EPVIPTOS, EPVSockReuseAddr }
enum | TPVSocketOptionLevel { EPVIPProtoIP, EPVIPProtoTCP, EPVSocket }

## Define Documentation

#define PVNETWORKADDRESS_LEN 50

## Enumeration Type Documentation

enum TPVSocketEvent

  | Return codes for asynchronous APIs Enumeration values:
  EPVSocketSuccess |
  EPVSocketPending |
  EPVSocketTimeout |
  EPVSocketFailure |
  EPVSocketCancel |
  EPVSocketNotImplemented |

enum TPVSocketFxn

  | Enumeration values:
  EPVSocketSend |
  EPVSocketSendTo |
  EPVSocketRecv |
  EPVSocketRecvFrom |
  EPVSocketConnect |
  EPVSocketAccept |
  EPVSocketShutdown |
  EPVSocketBind |
  EPVSocketListen |
  EPVSocket_Last |

enum TPVSocketOptionLevel

  | Enumeration values:
  EPVIPProtoIP |
  EPVIPProtoTCP |
  EPVSocket |

enum TPVSocketOptionName

  | Enumeration values:
  EPVIPMulticastTTL |
  EPVIPAddMembership |
  EPVIPTOS |
  EPVSockReuseAddr |

enum TPVSocketShutdown

  | Enumeration values:
  EPVSocketSendShutdown |
  EPVSocketRecvShutdown |
  EPVSocketBothShutdown |